tigase.jaxmpp.core.client.xmpp.forms

## Class TextMultiField

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.forms.AbstractField<String[]>
    - - tigase.jaxmpp.core.client.xmpp.forms.TextMultiField

- All Implemented Interfaces:
    Element, Field<String[]>

      public class TextMultiField
      extends AbstractField<String[]>

  Implementation of text-multi field type.

  > The field enables an entity to gather or provide multiple lines of text.

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.forms.AbstractField

      `VAR_COMPARATOR`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFieldValue(String... value)` Adds value to field.
    `void` | `clearValues()` Removes all values.
    `String[]` | `getFieldValue()` Returns value of field.
    `void` | `setFieldValue(String[] value)` Sets value of field.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.forms.AbstractField

      `getDesc, getLabel, getType, getVar, isRequired, setDesc, setLabel, setRequired, setVar`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### addFieldValue

          public void addFieldValue(String... value)
                             throws XMLException

      Adds value to field.
      Parameters:
        `value` - value to add
      Throws:
        `XMLException`

    - #### clearValues

          public void clearValues()
                           throws XMLException

      Removes all values.
      Throws:
        `XMLException`

    - #### getFieldValue

          public String[] getFieldValue()
                                 throws XMLException

      Returns value of field.
      Returns:
        value
      Throws:
        `XMLException`

    - #### setFieldValue

          public void setFieldValue(String[] value)
                             throws XMLException

      Sets value of field.
      Parameters:
        `value` - value of field
      Throws:
        `XMLException`

Copyright © 2006–2023 Tigase. All rights reserved.